/*
 * MINIGUI - Harbour Win32 GUI library
 *
 * Copyright 2015 Verchenko Andrey <verchenkoag@gmail.com>
*/

#include "minigui.ch"
#include "Dbinfo.ch"
//#include "i_misc.ch"
//#include "rddleto.ch"
//#include "letocdp.ch"

/////////////////////////////////////////////////////////////////
FUNCTION BASE_TEK()
LOCAL nI, cText, nSel, nOrder, cAlias, cIndx
LOCAL cMsg := " : " + ProcName( 1 ) + "(" + hb_ntos( ProcLine( 1 ) ) + ") --> " + ProcFile( 1 ) + CRLF + CRLF

cAlias := ALIAS()
nSel := SELECT(cAlias)
IF nSel == 0
   cText := "          !" + CRLF + CRLF + cMsg  
   MsgStop( cText, " " )
   RETURN NIL
ENDIF

nOrder := INDEXORD()  // : NUMBA
cText := "  - : "+Alias()+"()    RddName: " + RddName() + CRLF 
cText += "   - " + DBINFO(DBI_FULLPATH) + CRLF + CRLF
cText += " : "  
IF RddName() == "LETO"
   IF OrdCount() == 0
      cText += " () !" + CRLF + CRLF
   ELSE
      cText += CRLF + CRLF
      FOR nI := 1 TO OrdCount()
          cText += STR(nI,3) + "  OrdName: " + OrdName(nI) + "  OrdKey: " + OrdKey(nI) 
          cText += "   OrdFor: " + OrdFor() + CRLF
          //cText += "   DBOI_UNIQUE: " +  XTOC(dbInfo(DBOI_UNIQUE)) + CRLF 
      NEXT
   ENDIF
ELSE
   IF nOrder == 0
      cText += " () !" + CRLF + CRLF
   ELSE
      cText += ' DBOI_ORDERCOUNT: ( ' + HB_NtoS(DBORDERINFO(DBOI_ORDERCOUNT)) + ' )' + CRLF + CRLF
      //cText += CRLF + CRLF
      FOR nI := 1 TO 100
         cIndx := ALLTRIM( DBORDERINFO(DBOI_FULLPATH,,ORDNAME(nI)) )
         IF cIndx == ""
            EXIT
         ELSE
            DBSetOrder( nI )
            cText += STR(nI,3) + ') -  : ' + DBORDERINFO(DBOI_FULLPATH) + CRLF 
            cText += '    : ' + ORDSETFOCUS() + ",  DBSetOrder(" + HB_NtoS(nI)+ ")" + CRLF 
            cText += '     : "' + DBORDERINFO( DBOI_EXPRESSION ) + '"' + CRLF 
            cText += '     FOR : "' + OrdFor() + '" ' + SPACE(5) 
            cText += '   DBOI_KEYCOUNT: ( ' + HB_NtoS(DBORDERINFO(DBOI_KEYCOUNT  )) + ' )' + CRLF + CRLF
         ENDIF 
      NEXT
      DBSetOrder( nOrder ) //    
      cText += "  = "+STR(nOrder,2)+" ,  : " + ORDSETFOCUS() 
   ENDIF
   cText += "          -  = " + HB_NtoS(ORDKEYCOUNT()) + CRLF
ENDIF

MsgInfo( cText, " " )

RETURN NIL


