/*
 * MINIGUI - Harbour Win32 GUI library 
 *
 * Team library offline http://clipper.borda.ru/ 
*/

#include "minigui.ch"

*----------------------------------- 
Function SwitchToWin( cForm ) 
*----------------------------------- 
  
    If _IsWindowDefined( cForm ) 
       If IsIconic( GetFormHandle(cForm) ) 
          _Restore( GetFormHandle(cForm) ) 
       Else 
          DoMethod( cForm, "SetFocus" ) 
       EndIf 
    EndIf 
  
Return Nil

////////////////////////////////////////////////////////////////////
FUNCTION MyRGB(aDim)
   RETURN RGB(aDim[1],aDim[2],aDim[3])

//////////////////////////////////////////////////////////////////////////
#pragma BEGINDUMP

#define HB_OS_WIN_32_USED
#define _WIN32_WINNT 0x0400
#include <windows.h>
#include "hbapi.h"

HB_FUNC (GETDESKTOPREALTOP)
{
RECT rect;
SystemParametersInfo( SPI_GETWORKAREA, 1, &rect, 0 );

hb_retni(rect.top);

}
HB_FUNC (GETDESKTOPREALLEFT)
{
RECT rect;
SystemParametersInfo( SPI_GETWORKAREA, 1, &rect, 0 );

hb_retni(rect.left);

}

HB_FUNC (GETDESKTOPREALWIDTH)
{
RECT rect;
SystemParametersInfo( SPI_GETWORKAREA, 1, &rect, 0 );

hb_retni(rect.right - rect.left);

}

HB_FUNC (GETDESKTOPREALHEIGHT)
{
RECT rect;
SystemParametersInfo( SPI_GETWORKAREA, 1, &rect, 0 );

hb_retni(rect.bottom - rect.top);
}

#pragma ENDDUMP

///////////////////////////////////////////////////////////////////////////////////////////
// SergKis  http://clipper.borda.ru/?1-1-0-00000389-000-0-1-1408089634
// 
// GETCLIENTHEIGHT(0) -   ()  Desktop     Start
// GETCLIENTWIDTH(0) -   ()  Desktop
// GETCLIENTHEIGHT(hWnd) -   ()   ( )
// GETCLIENTWIDTH(hWnd) -   ()   ( )
// ..:
// hWnd := GetFormHandle('Form_0')
// CreateBrowse( "oBrw_1", 'Form_0', 32, 2, GetClientWidth(hWnd), GetClientHeight(hWnd), 'LOG_DBF' )

#pragma BEGINDUMP

#include <windows.h>
#include "hbapi.h"

HB_FUNC( GETCLIENTWIDTH )
{
RECT rect;

GetClientRect( ( HWND ) hb_parnl(1), &rect );
hb_retni( ( INT ) rect.right - rect.left );
}

HB_FUNC( GETCLIENTHEIGHT )
{
RECT rect;

GetClientRect( ( HWND ) hb_parnl(1), &rect );
hb_retni( ( INT ) rect.bottom - rect.top );
}

HB_FUNC( GETCLIENTTOP )
{
   HWND hWnd = ( HWND ) hb_parni( 1 );
   int nRow = hb_parni( 2 );
   int nHeightCell = hb_parni( 3 );
   int nHeightFoot = hb_parni( 4 );
   int nHeightHead = hb_parni( 5 );
   int nHeightSuper = hb_parni( 6 );
   int nHeightSpec = hb_parni( 7 );
   int nHeadFoot = hb_parni( 8 );
   BOOL bFooter = ( nHeadFoot == 2 ? TRUE : FALSE );
   RECT rect;

GetClientRect( ( HWND ) hb_parnl(1), &rect );

rect.top = ( bFooter ? rect.bottom - nHeightFoot + 1 : nHeightHead + nHeightSuper - ( nHeightSuper ? 1 : 0 ) + nHeightSpec + ( nHeightCell * ( nRow - 1 ) ) );
hb_retni( ( INT ) rect.top );
}
HB_FUNC( GETCLIENBOTTOM )
{
RECT rect;

GetClientRect( ( HWND ) hb_parnl(1), &rect );
hb_retni( ( INT ) rect.bottom );
}

#pragma ENDDUMP

